# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test62
# FileName:      __init__.py
# Author:       wen
# Datetime:     2024/9/4 下午6:53
# Description:
# 
# ---------------------------------------------------------------------------
import logging
import os
import time


def log(name="ceshi"):
    # 创建Logger对象
    logger = logging.getLogger(name)
    # 设置日志级别
    logger.level = logging.INFO
    # 设置日志文件名称，获取文件目录
    log_name = time.strftime("%Y-%m-%d-%H-%M-%S", time.localtime()) + ".log"
    log_dir = os.path.join(os.path.join(os.path.dirname(__file__), "report"), "log")
    log_path = os.path.join(log_dir, log_name)
    # 设置写入日志的文件
    handle = logging.FileHandler(log_path, mode="a", encoding="utf_8")
    # 设置日志的显示格式
    formatter = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s -- %(name)s')
    # 设置文件中的日志格式
    handle.setFormatter(formatter)
    # 给Logger对象添加文件
    logger.addHandler(handle)
    # 返回Logger对象
    return logger


# 先执行函数，获取函数的返回值，再使用函数的返回值写入文件
log = log()