# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test62
# FileName:      conftest.py
# Author:       wen
# Datetime:     2024/8/31 下午4:32
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from Test_3.common.db import DB
from Test_3.request_method.request_method import RequestMethod


# 创建DB类对象的自定义固件
@pytest.fixture(scope="session")
def fix_db():
    db = DB()
    yield db
    db.close()


# 创建RequestMethod类对象的自定义固件
@pytest.fixture(scope="session")
def fix_req():
    req = RequestMethod()
    yield req
